<!-- <table class="table table-bordered ml-5">
  <tr class="bg-primary">
    <td>Role Number</td>
    <td>Student Name</td>
    <td>Age</td>
    <td>Class</td>
    <td>Date-OF-Birth</td>
    <td>Phone Number</td>
    <td>Address</td>
    <td>Action</td>
  </tr>

  <tr>
    <td>
      <input
        type="text"
        [(ngModel)]="studentClass.id"
        name="username"
        autocomplete="off"
      />
    </td>
    <td>
      <input
        type="text"
        [(ngModel)]="studentClass.s_name"
        name="location"
        autocomplete="off"
      />
    </td>
    <td>
      <input
        type="number"
        maxlength="10"
        [(ngModel)]="studentClass.s_age"
        name="phonenumber"
        autocomplete="off"
      />
    </td>
    <td>
      <input
        type="number"
        maxlength="10"
        [(ngModel)]="studentClass.s_class"
        name="phonenumber"
        autocomplete="off"
      />
    </td>
    <td>
      <input
        type="number"
        maxlength="10"
        [(ngModel)]="studentClass.s_dob"
        name="phonenumber"
        autocomplete="off"
      />
    </td>
    <td>
      <input
        type="number"
        maxlength="10"
        [(ngModel)]="studentClass.s_phoneNumber"
        name="phonenumber"
        autocomplete="off"
      />
    </td>
    <td>
      <input
        type="number"
        maxlength="10"
        [(ngModel)]="studentClass.s_Address"
        name="phonenumber"
        autocomplete="off"
      />
    </td>
    <td>
      <button class="btn btn-outline-danger mr-2">Save</button>
    </td>
  </tr>
</table> -->

<div class="container col-md-4">
  <h3 class="text-center mt-3 createHead">UPDATE OLD STUDENT RECORDS</h3>
  <form
    name="form"
    (ngSubmit)="f.form.valid && onSubmit()"
    #f="ngForm"
    novalidate
  >
    <div class="form-group mt-3">
      <label>Student Name : </label>
      <input
        class="form-control"
        type="text"
        [(ngModel)]="student.s_name"
        name="studentname"
        required
        pattern="[a-zA-Z]*"
        maxlength="20"
        #studentname="ngModel"
        [class.is-invalid]="studentname.invalid && studentname.touched"
      />
      <small
        class="text-warning"
        [class.d-none]="studentname.valid || studentname.untouched"
      >
        studentname atleast have 1 Characters
      </small>
      <div *ngIf="studentname.errors && f.submitted">
        <div class="text-danger" *ngIf="studentname.errors.required">
          studentname is required field
        </div>
      </div>
    </div>
    <div class="form-group mt-3">
      <label>Age: </label>
      <input
        class="form-control"
        type="text"
        [(ngModel)]="student.s_age"
        name="age"
        minlength="2"
        maxlength="3"
        required
        pattern="^[0-9]*$"
        #age="ngModel"
        [class.is-invalid]="age.invalid && age.touched"
      />
      <small class="text-warning" [class.d-none]="age.valid || age.untouched">
        Age Should be ex: 12 ,02 , 99 :
      </small>
      <div *ngIf="age.errors && f.submitted">
        <div class="text-danger" *ngIf="age.errors.required">
          Age is required field
        </div>
      </div>
    </div>
    <div class="form-group mt-3">
      <label>Which Class : </label>

      <input
        class="form-control"
        type="text"
        [(ngModel)]="student.s_class"
        name="s_class"
      />
    </div>
    <div class="form-group mt-3">
      <label>Date of Birth: </label>
      <input
        class="form-control"
        type="date"
        [(ngModel)]="student.s_dob"
        name="date"
      />
    </div>
    <div class="form-group mt-3">
      <label>Phone Number: </label>
      <input
        class="form-control"
        type="text"
        required
        pattern="^[0-9]*$"
        [(ngModel)]="student.s_phoneNumber"
        name="s_phoneNumber"
        minlength="10"
        maxlength="10"
        #phonenumber="ngModel"
        [class.is-invalid]="phonenumber.invalid && phonenumber.touched"
      />
      <small
        class="text-warning"
        [class.d-none]="phonenumber.valid || phonenumber.untouched"
      >
        phonenumber Should be ex: 9940668806 no country code required:
      </small>
      <div *ngIf="phonenumber.errors && f.submitted">
        <div class="text-danger" *ngIf="phonenumber.errors.required">
          phonenumber is required field
        </div>
      </div>
    </div>
    <div class="form-group mt-3">
      <label>Address : </label>

      <input
        class="form-control"
        type="text"
        [(ngModel)]="student.s_Address"
        required
        name="s_Address"
        #s_Address="ngModel"
        [class.is-invalid]="s_Address.invalid && s_Address.touched"
      />

      <div *ngIf="s_Address.errors && f.submitted">
        <div class="text-danger" *ngIf="s_Address.errors.required">
          Address is required field
        </div>
      </div>
    </div>
    <div>
      <div class="text-center">
        <button class="btn btn-danger">Save</button>
      </div>
    </div>
  </form>
</div>
<!-- (click)="createStudent()" -->
